## python-nmap 0.2.2

=== Makefile ===
# python-nmap Makefile

VERSION=`python setup.py --version`
ARCHIVE=`python setup.py --fullname`


test:
	@python3 nmap/nmap.py

install:
	@python3 setup.py install

archive: doc
	@python3 setup.py sdist
	@echo Archive is create and named dist/$(ARCHIVE).tar.gz
	@echo -n md5sum is :
	@md5sum dist/$(ARCHIVE).tar.gz

license:
	@python3 setup.py --license

register:
	@python3 setup.py register

doc:
	@pydoc3 -w nmap/nmap.py

## python-nmap 0.1.3

=== debian/changelog ===
python-nmap (0.1.3-1) unstable; urgency=low

  * New upstream release.

 -- Federico Ceratto <federico.ceratto@gmail.com>  Mon, 07 Jun 2010 11:50:56 +0100

python-nmap (0.1.2-1) unstable; urgency=low

  [ Federico Ceratto ]
  * New upstream release.

  [ David Paleino ]
  * debian/examples added
  * debian/rules: remove example.py from the module directory

 -- David Paleino <dapal@debian.org>  Sun, 06 Jun 2010 17:25:35 +0200

python-nmap (0.1.1-1) unstable; urgency=low

  * Initial release (Closes: #573107)

 -- Federico Ceratto <federico.ceratto@gmail.com>  Sat, 10 Apr 2010 15:14:58 +0100

=== debian/control ===
Source: python-nmap
Section: python
Priority: optional
Maintainer: Federico Ceratto <federico.ceratto@gmail.com>
Uploaders:
 David Paleino <dapal@debian.org>
Build-Depends: debhelper (>= 7)
 , python-support (>= 0.90.0~)
 , python
Standards-Version: 3.8.4
Homepage: http://xael.org/norman/python/python-nmap/
Vcs-Git: git://git.debian.org/git/collab-maint/python-nmap.git
Vcs-Browser: http://git.debian.org/?p=collab-maint/python-nmap.git
XS-Python-Version: >= 2.5

Package: python-nmap
Architecture: all
Depends: ${python:Depends}, ${misc:Depends}
Provides: ${python:Provides}
Description: Python interface to the Nmap port scanner
 It allows to manipulate nmap scan results and can
 be useful for systems administrators who want to 
 automate scanning task and reports.
 It also supports nmap script outputs.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh --buildsystem=python_distutils $@

override_dh_auto_install:
	dh_auto_install
	find $(CURDIR)/debian/ -name "example.py" -delete
	find $(CURDIR)/debian/ -name "example_non_blocking.py" -delete

## python-nmap 0.1.4

=== debian/changelog ===
python-nmap (0.1.4-1) unstable; urgency=low

  [ Federico Ceratto ]
  * New upstream release. 

  [ David Paleino ]
  * debian/control: bump debhelper B-D to >= 7.0.50~

 -- David Paleino <dapal@debian.org>  Thu, 24 Jun 2010 20:38:09 +0200

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Federico Ceratto <federico.ceratto@gmail.com>
 Uploaders:
  David Paleino <dapal@debian.org>
-Build-Depends: debhelper (>= 7)
+Build-Depends: debhelper (>= 7.0.50~)
  , python-support (>= 0.90.0~)
  , python
 Standards-Version: 3.8.4

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh --buildsystem=python_distutils $@

override_dh_auto_install:
	dh_auto_install
	find $(CURDIR)/debian/ -name "example.py" -delete

## python-nmap 0.2.2

=== debian/changelog ===
python-nmap (0.2.2-2) unstable; urgency=low

  * Upload to unstable

 -- David Paleino <dapal@debian.org>  Tue, 15 Feb 2011 09:33:32 +0100

python-nmap (0.2.2-1) experimental; urgency=low

  * New upstream release.
  * Bump Standards-Version to 3.9.1, no changes needed

 -- David Paleino <dapal@debian.org>  Sat, 15 Jan 2011 17:19:59 +0100

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
 Build-Depends: debhelper (>= 7.0.50~)
  , python-support (>= 0.90.0~)
  , python
-Standards-Version: 3.8.4
+Standards-Version: 3.9.1
 Homepage: http://xael.org/norman/python/python-nmap/
 Vcs-Git: git://git.debian.org/git/collab-maint/python-nmap.git
 Vcs-Browser: http://git.debian.org/?p=collab-maint/python-nmap.git

## python-nmap 0.2.4

=== Makefile ===
--- 
+++ 
@@ -24,3 +24,12 @@
 
 doc:
 	@pydoc3 -w nmap/nmap.py
+
+web:
+	@echo $(VERSION) > web/python-nmap_CURRENT_VERSION.txt
+	@cp dist/$(ARCHIVE).tar.gz web/
+	@md5sum web/$(ARCHIVE).tar.gz > LAST_MD5
+	@emacsclient -a /usr/bin/emacs22 LAST_MD5 web/index.gtm
+	@rm LAST_MD5
+
+.PHONY: web

=== debian/changelog ===
python-nmap (0.2.4-1) unstable; urgency=low

  [ Federico Ceratto ]
  * Upload to unstable
  * New upstream release.
  * Bugfix (Closes: #622991)
  * Transition to dh_python2

  [ David Paleino ]
  * Acknowledged DMUA flag for Federico.

 -- David Paleino <dapal@debian.org>  Mon, 12 Dec 2011 21:03:17 +0100

=== debian/control ===
Source: python-nmap
Section: python
Priority: optional
Maintainer: Federico Ceratto <federico.ceratto@gmail.com>
DM-Upload-Allowed: yes
Uploaders:
 David Paleino <dapal@debian.org>
Build-Depends: debhelper (>= 8.0.0~)
 , python-all (>= 2.6.6-3~)
 , python3-all
 , nmap
Standards-Version: 3.9.2
Homepage: http://xael.org/norman/python/python-nmap/
Vcs-Git: git://git.debian.org/git/collab-maint/python-nmap.git
Vcs-Browser: http://git.debian.org/?p=collab-maint/python-nmap.git
X-Python-Version: >= 2.6

Package: python-nmap
Architecture: all
Depends: ${python:Depends}, ${misc:Depends}
Provides: ${python:Provides}
Description: Python interface to the Nmap port scanner
 It helps manipulating nmap scan results and can
 be useful to systems administrators to
 automate scanning task and reports.
 It also supports nmap script outputs.

## python-nmap 0.2.7

=== debian/changelog ===
python-nmap (0.2.7-1) unstable; urgency=low

  * New upstream release.
  * Standards-Version bumped to 3.9.4, debhelper dependency bumped to 9

 -- Federico Ceratto <federico.ceratto@gmail.com>  Wed, 08 May 2013 21:01:42 +0100

=== debian/control ===
--- 
+++ 
@@ -2,18 +2,18 @@
 Section: python
 Priority: optional
 Maintainer: Federico Ceratto <federico.ceratto@gmail.com>
-DM-Upload-Allowed: yes
 Uploaders:
  David Paleino <dapal@debian.org>
-Build-Depends: debhelper (>= 8.0.0~)
+Build-Depends: debhelper (>= 9~)
  , python-all (>= 2.6.6-3~)
  , python3-all
  , nmap
-Standards-Version: 3.9.2
+Standards-Version: 3.9.4
 Homepage: http://xael.org/norman/python/python-nmap/
 Vcs-Git: git://git.debian.org/git/collab-maint/python-nmap.git
 Vcs-Browser: http://git.debian.org/?p=collab-maint/python-nmap.git
 X-Python-Version: >= 2.6
+X-Python3-Version: >= 3.0
 
 Package: python-nmap
 Architecture: all

## python-nmap 0.3.2

=== Makefile ===
--- 
+++ 
@@ -24,6 +24,7 @@
 
 doc:
 	@pydoc3 -w nmap/nmap.py
+	@cd docs && make html
 
 web:
 	@echo $(VERSION) > web/python-nmap_CURRENT_VERSION.txt

=== debian/changelog ===
python-nmap (0.3.2-1) unstable; urgency=low

  * New upstream release.

 -- Federico Ceratto <federico.ceratto@gmail.com>  Sat, 28 Sep 2013 14:55:31 +0100

python-nmap (0.3.1-1) unstable; urgency=low

  * New upstream release.
  * dpkg Pre-Depends added.

 -- Federico Ceratto <federico.ceratto@gmail.com>  Wed, 21 Aug 2013 23:37:40 +0100

=== debian/control ===
--- 
+++ 
@@ -17,6 +17,7 @@
 
 Package: python-nmap
 Architecture: all
+Pre-Depends: dpkg (>= 1.15.6~)
 Depends: ${python:Depends}, ${misc:Depends}
 Provides: ${python:Provides}
 Description: Python interface to the Nmap port scanner

=== debian/rules ===
#!/usr/bin/make -f

export DH_VERBOSE=1

%:
	dh $@ --with python2

override_dh_auto_install:
	dh_auto_install
	find $(CURDIR)/debian/ -name "example.py" -delete

override_dh_auto_test:
	# do nothing

override_dh_auto_build:
	for python in $(shell pyversions -r); do \
		$$python setup.py build; \
	done

override_dh_auto_install:
	dh_auto_install -Spython_distutils

## python-nmap 0.3.4

=== Makefile ===
--- 
+++ 
@@ -3,9 +3,14 @@
 VERSION=`python setup.py --version`
 ARCHIVE=`python setup.py --fullname`
 
+manifest:
+	@python setup.py sdist --manifest-only
 
 test:
-	@python3 nmap/nmap.py
+	@(cd nmap; python3 nmap.py)
+
+testcase:
+	@./nmap-6.40/nmap -sV scanme.nmap.org -oX scanme_output.xml
 
 install:
 	@python3 setup.py install
@@ -21,6 +26,7 @@
 
 register:
 	@python3 setup.py register
+	@python3 setup.py sdist upload
 
 doc:
 	@pydoc3 -w nmap/nmap.py
@@ -29,8 +35,6 @@
 web:
 	@echo $(VERSION) > web/python-nmap_CURRENT_VERSION.txt
 	@cp dist/$(ARCHIVE).tar.gz web/
-	@md5sum web/$(ARCHIVE).tar.gz > LAST_MD5
-	@emacsclient -a /usr/bin/emacs22 LAST_MD5 web/index.gtm
-	@rm LAST_MD5
+	@m4 -DVERSION=$(VERSION) -DMD5SUM=$(shell md5sum dist/$(ARCHIVE).tar.gz |cut -d' ' -f1) -DDATE=$(shell date +%Y-%m-%d) web/index.gtm.m4 > web/index.gtm
 
 .PHONY: web

=== debian/changelog ===
python-nmap (0.3.4-1) unstable; urgency=low

  * New upstream release.

 -- Federico Ceratto <federico.ceratto@gmail.com>  Mon, 07 Jul 2014 01:12:14 +0100

python-nmap (0.3.3-1) unstable; urgency=low

  * New upstream release.
  * Python3 support added.
  * Switched to Pybuild.
  * Standards-Version bumped to 3.9.5, VCS fields updated.

 -- Federico Ceratto <federico.ceratto@gmail.com>  Sun, 16 Mar 2014 19:12:05 +0000

=== debian/control ===
--- 
+++ 
@@ -5,13 +5,14 @@
 Uploaders:
  David Paleino <dapal@debian.org>
 Build-Depends: debhelper (>= 9~)
+Build-Depends-Indep: dh-python
+ , nmap
  , python-all (>= 2.6.6-3~)
  , python3-all
- , nmap
-Standards-Version: 3.9.4
+Standards-Version: 3.9.5
 Homepage: http://xael.org/norman/python/python-nmap/
-Vcs-Git: git://git.debian.org/git/collab-maint/python-nmap.git
-Vcs-Browser: http://git.debian.org/?p=collab-maint/python-nmap.git
+Vcs-Git: git://anonscm.debian.org/collab-maint/python-nmap.git
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/python-nmap.git
 X-Python-Version: >= 2.6
 X-Python3-Version: >= 3.0
 
@@ -25,3 +26,14 @@
  be useful to systems administrators to
  automate scanning task and reports.
  It also supports nmap script outputs.
+
+Package: python3-nmap
+Architecture: all
+Pre-Depends: dpkg (>= 1.15.6~)
+Depends: ${python3:Depends}, ${misc:Depends}
+Provides: ${python3:Provides}
+Description: Python3 interface to the Nmap port scanner
+ It helps manipulating nmap scan results and can
+ be useful to systems administrators to
+ automate scanning task and reports.
+ It also supports nmap script outputs.

=== debian/rules ===
#!/usr/bin/make -f
export PYBUILD_NAME=nmap
export DH_VERBOSE=1

%:
	dh $@ --with python2,python3 --buildsystem=pybuild

override_dh_installchangelogs:
	dh_installchangelogs CHANGELOG

## python-nmap 0.4.0

=== Makefile ===
--- 
+++ 
@@ -3,11 +3,12 @@
 VERSION=`python setup.py --version`
 ARCHIVE=`python setup.py --fullname`
 
+
 manifest:
 	@python setup.py sdist --manifest-only
 
 test:
-	@(cd nmap; python3 nmap.py)
+	@nosetests nmap -v
 
 testcase:
 	@./nmap-6.40/nmap -sV scanme.nmap.org -oX scanme_output.xml
@@ -36,5 +37,17 @@
 	@echo $(VERSION) > web/python-nmap_CURRENT_VERSION.txt
 	@cp dist/$(ARCHIVE).tar.gz web/
 	@m4 -DVERSION=$(VERSION) -DMD5SUM=$(shell md5sum dist/$(ARCHIVE).tar.gz |cut -d' ' -f1) -DDATE=$(shell date +%Y-%m-%d) web/index.gtm.m4 > web/index.gtm
+	@(cd /home/xael/ESPACE_KM/xael.org/web/xael.org/www.xael.org/html/norman/python ; make)
+	@(cd /home/xael/ESPACE_KM/xael.org/web/xael.org/www.xael.org/html/norman/ ; make ftp-all)
+
+changelog:
+	vi CHANGELOG
+
+hgcommit:
+	@hg commit
+	@hg push
+
+release: test manifest doc changelog archive hgcommit web register
+
 
 .PHONY: web

=== debian/changelog ===
python-nmap (0.4.0-2) unstable; urgency=low

  * Add nose dependency (Closes: #795579)

 -- Federico Ceratto <federico@debian.org>  Sun, 16 Aug 2015 14:07:08 +0200

python-nmap (0.4.0-1) unstable; urgency=low

  * New upstream release.

 -- Federico Ceratto <federico@debian.org>  Fri, 14 Aug 2015 12:10:24 +0200

python-nmap (0.3.7-1) unstable; urgency=low

  * New upstream release.

 -- Federico Ceratto <federico.ceratto@gmail.com>  Mon, 29 Jun 2015 23:27:08 +0100

python-nmap (0.3.4-2) unstable; urgency=low

  * Add nmap dependency (Closes: #760550)

 -- Federico Ceratto <federico.ceratto@gmail.com>  Mon, 27 Oct 2014 11:48:41 +0000

## python-nmap 0.5.0

=== Makefile ===
--- 
+++ 
@@ -8,7 +8,8 @@
 	@python setup.py sdist --manifest-only
 
 test:
-	@nosetests nmap -v
+	@nosetests --with-coverage nmap -v
+	@coverage html
 
 testcase:
 	@./nmap-6.40/nmap -sV scanme.nmap.org -oX scanme_output.xml
@@ -40,14 +41,22 @@
 	@(cd /home/xael/ESPACE_KM/xael.org/web/xael.org/www.xael.org/html/norman/python ; make)
 	@(cd /home/xael/ESPACE_KM/xael.org/web/xael.org/www.xael.org/html/norman/ ; make ftp-all)
 
+web2:
+	@echo $(VERSION) > web2/python-nmap_CURRENT_VERSION.txt
+	@cp dist/$(ARCHIVE).tar.gz web2/
+	@m4 -DVERSION=$(VERSION) -DMD5SUM=$(shell md5sum dist/$(ARCHIVE).tar.gz |cut -d' ' -f1) -DDATE=$(shell date +%Y-%m-%d) web2/index.md.m4 > web2/index.md
+	@m4 -DVERSION=$(VERSION) -DMD5SUM=$(shell md5sum dist/$(ARCHIVE).tar.gz |cut -d' ' -f1) -DDATE=$(shell date +%Y-%m-%d) web2/index-en.md.m4 > web2/index-en.md
+	@bash -c 'source /usr/local/bin/virtualenvwrapper.sh; workon xael.org; make ftp_upload'
+
 changelog:
 	vi CHANGELOG
 
 hgcommit:
 	@hg commit
+	@hg tag $(VERSION) -f
 	@hg push
 
-release: test manifest doc changelog archive hgcommit web register
+release: test manifest doc changelog hgcommit register web2
 
 
-.PHONY: web
+.PHONY: web web2

=== requirements.txt ===
#
# This file is autogenerated by pip-compile
# Make changes in requirements.in, then run this to update:
#
#    pip-compile requirements.in
#
coverage==4.0.3
nose==1.3.7
pudb==2015.4.1
pygments==2.0.2           # via pudb
urwid==1.3.1              # via pudb

## python-nmap 0.5.0-1

=== debian/changelog ===
python-nmap (0.5.0-1-1) unstable; urgency=low

  * New upstream release
  * Disable functional tests (Closes: #799761)

 -- Federico Ceratto <federico@debian.org>  Sun, 13 Dec 2015 13:03:38 +0000

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: python-nmap
 Section: python
 Priority: optional
-Maintainer: Federico Ceratto <federico.ceratto@gmail.com>
+Maintainer: Federico Ceratto <federico@debian.org>
 Uploaders:
  David Paleino <dapal@debian.org>
 Build-Depends: debhelper (>= 9~)
@@ -9,7 +9,9 @@
  , nmap
  , python-all (>= 2.6.6-3~)
  , python3-all
-Standards-Version: 3.9.5
+ , python-nose
+ , python3-nose
+Standards-Version: 3.9.6
 Homepage: http://xael.org/norman/python/python-nmap/
 Vcs-Git: git://anonscm.debian.org/collab-maint/python-nmap.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/python-nmap.git
@@ -19,7 +21,7 @@
 Package: python-nmap
 Architecture: all
 Pre-Depends: dpkg (>= 1.15.6~)
-Depends: ${python:Depends}, ${misc:Depends}
+Depends: ${python:Depends}, ${misc:Depends}, nmap
 Provides: ${python:Provides}
 Description: Python interface to the Nmap port scanner
  It helps manipulating nmap scan results and can
@@ -30,7 +32,7 @@
 Package: python3-nmap
 Architecture: all
 Pre-Depends: dpkg (>= 1.15.6~)
-Depends: ${python3:Depends}, ${misc:Depends}
+Depends: ${python3:Depends}, ${misc:Depends}, nmap
 Provides: ${python3:Provides}
 Description: Python3 interface to the Nmap port scanner
  It helps manipulating nmap scan results and can

## python-nmap 0.6.1

=== Makefile ===
--- 
+++ 
@@ -7,12 +7,21 @@
 manifest:
 	@python setup.py sdist --manifest-only
 
+tox:
+	@tox
+
 test:
 	@nosetests --with-coverage nmap -v
-	@coverage html
+
+qa:
+	@flake8 nmap
+
+coverage:
+	@coverage html nmap/nmap.py
 
 testcase:
-	@./nmap-6.40/nmap -sV scanme.nmap.org -oX scanme_output.xml
+	@./nmap-6.40/nmap -sV scanme.nmap.org -oX scanme_output-6.40.xml
+	@./nmap-7.01/nmap -sV scanme.nmap.org -oX scanme_output-7.01.xml
 
 install:
 	@python3 setup.py install
@@ -56,7 +65,7 @@
 	@hg tag $(VERSION) -f
 	@hg push
 
-release: test manifest doc changelog hgcommit register web2
+release: tox manifest doc changelog hgcommit register web2
 
 
-.PHONY: web web2
+.PHONY: web web2 test

=== requirements.txt ===
--- 
+++ 
@@ -5,7 +5,15 @@
 #    pip-compile requirements.in
 #
 coverage==4.0.3
+flake8==2.5.1
+mccabe==0.3.1             # via flake8
 nose==1.3.7
+pep8==1.7.0               # via flake8
+pluggy==0.3.1             # via tox
 pudb==2015.4.1
-pygments==2.0.2           # via pudb
+py==1.4.31                # via tox
+pyflakes==1.0.0           # via flake8
+pygments==2.1             # via pudb
+tox==2.3.1
 urwid==1.3.1              # via pudb
+virtualenv==14.0.1        # via tox

=== debian/changelog ===
python-nmap (0.6.1-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Drop python2 support; Closes: #937948

 -- Sandro Tosi <morph@debian.org>  Mon, 07 Oct 2019 20:38:52 -0400

python-nmap (0.6.1-1) unstable; urgency=medium

  * New upstream release

 -- Federico Ceratto <federico@debian.org>  Mon, 17 Oct 2016 23:09:09 +0100

=== debian/control ===
Source: python-nmap
Section: python
Priority: optional
Maintainer: Federico Ceratto <federico@debian.org>
Uploaders:
 David Paleino <dapal@debian.org>
Build-Depends: debhelper (>= 9~)
Build-Depends-Indep: dh-python
 , nmap
 , python3-all
 , python3-nose
Standards-Version: 3.9.8
Homepage: http://xael.org/norman/python/python-nmap/
Vcs-Git: https://anonscm.debian.org/git/collab-maint/python-nmap.git
Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/python-nmap.git
X-Python-Version: >= 2.6
X-Python3-Version: >= 3.0

Package: python3-nmap
Architecture: all
Pre-Depends: dpkg (>= 1.15.6~)
Depends: ${python3:Depends}, ${misc:Depends}, nmap
Provides: ${python3:Provides}
Description: Python3 interface to the Nmap port scanner
 It helps manipulating nmap scan results and can
 be useful to systems administrators to
 automate scanning task and reports.
 It also supports nmap script outputs.

=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,7 @@
 #!/usr/bin/make -f
+export DH_VERBOSE=1
+export PYBUILD_DISABLE=test
 export PYBUILD_NAME=nmap
-export DH_VERBOSE=1
 
 %:
 	dh $@ --with python2,python3 --buildsystem=pybuild

=== debian/watch ===
version=3
http://xael.org/norman/python/python-nmap/ python-nmap-(.*)\.tar\.gz

## python-nmap 0.7.1

=== Makefile ===
--- 
+++ 
@@ -1,17 +1,32 @@
 # python-nmap Makefile
 
-VERSION=`python setup.py --version`
-ARCHIVE=`python setup.py --fullname`
+VERSION=`python3 setup.py -q version`
+ARCHIVE=`python3 setup.py --fullname`
 
+clean: clean-eggs clean-build
+	@find . -iname '*.pyc' -delete
+	@find . -iname '*.pyo' -delete
+	@find . -iname '*~' -delete
+	@find . -iname '*.swp' -delete
+	@find . -iname '__pycache__' -delete
+
+clean-eggs:
+	@find . -name '*.egg' -print0|xargs -0 rm -rf --
+	@rm -rf .eggs/
+
+clean-build:
+	@rm -fr build/
+	@rm -fr dist/
+	@rm -fr *.egg-info
 
 manifest:
-	@python setup.py sdist --manifest-only
+	@python3 setup.py sdist --manifest-only
 
 tox:
 	@tox
 
 test:
-	@nosetests --with-coverage nmap -v
+	@(export NMAP_XML_VERSION=6.40 ; nosetests --with-coverage nmap -v)
 
 qa:
 	@flake8 nmap
@@ -22,6 +37,7 @@
 testcase:
 	@./nmap-6.40/nmap -sV scanme.nmap.org -oX scanme_output-6.40.xml
 	@./nmap-7.01/nmap -sV scanme.nmap.org -oX scanme_output-7.01.xml
+	@./nmap-7.91/nmap -sV scanme.nmap.org -oX scanme_output-7.91.xml
 
 install:
 	@python3 setup.py install
@@ -40,7 +56,7 @@
 	@python3 setup.py sdist upload
 
 doc:
-	@pydoc3 -w nmap/nmap.py
+	@pydoc3.9 -w nmap/nmap.py
 	@cd docs && make html
 
 web:
@@ -55,17 +71,18 @@
 	@cp dist/$(ARCHIVE).tar.gz web2/
 	@m4 -DVERSION=$(VERSION) -DMD5SUM=$(shell md5sum dist/$(ARCHIVE).tar.gz |cut -d' ' -f1) -DDATE=$(shell date +%Y-%m-%d) web2/index.md.m4 > web2/index.md
 	@m4 -DVERSION=$(VERSION) -DMD5SUM=$(shell md5sum dist/$(ARCHIVE).tar.gz |cut -d' ' -f1) -DDATE=$(shell date +%Y-%m-%d) web2/index-en.md.m4 > web2/index-en.md
-	@bash -c 'source /usr/local/bin/virtualenvwrapper.sh; workon xael.org; make ftp_upload'
+	@bash -c 'source /usr/local/bin/virtualenvwrapper.sh; workon xael.org; make rsync_upload'
 
 changelog:
 	vi CHANGELOG
+	@git add CHANGELOG
+	@git commit -m "update CHANGELOG"
 
-hgcommit:
-	@hg commit
-	@hg tag $(VERSION) -f
-	@hg push
+gitversioncommit:
+	@git tag $(VERSION) 
+	@git push
 
-release: tox manifest doc changelog hgcommit register web2
+release: tox manifest doc changelog gitversioncommit register web2
 
 
 .PHONY: web web2 test

=== debian/changelog ===
python-nmap (0.7.1-0.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix Homepage & Watch URL
  * Add python3-setuptools build-dep (Closes: #1080754)
  * Add patch to replace Nose with Pytest (Closes: #1018537)

 -- Alexandre Detiste <tchet@debian.org>  Wed, 11 Sep 2024 14:36:21 +0200

python-nmap (0.7.1-0.1) unstable; urgency=medium

  * Non-maintainer upload.
  * New upstream release 0.7.1

  [ Ondřej Nový ]
  * d/control: Remove ancient X-Python-Version field
  * d/control: Remove ancient X-Python3-Version field
  * d/copyright: Use https protocol in Format field
  * d/changelog: Remove trailing whitespaces

 -- Alexandre Detiste <tchet@debian.org>  Sun, 04 Aug 2024 19:43:30 +0200

=== debian/control ===
Source: python-nmap
Section: python
Priority: optional
Maintainer: Federico Ceratto <federico@debian.org>
Uploaders:
 David Paleino <dapal@debian.org>
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-python3,
 nmap,
 python3-all,
 python3-pytest,
 python3-setuptools,
Rules-Requires-Root: no
Standards-Version: 3.9.8
Homepage: https://xael.org/pages/python-nmap-en.html
Vcs-Git: https://salsa.debian.org/debian/python-nmap.git
Vcs-Browser: https://salsa.debian.org/debian/python-nmap

Package: python3-nmap
Architecture: all
Pre-Depends: dpkg (>= 1.15.6~)
Depends: ${python3:Depends}, ${misc:Depends}, nmap
Provides: ${python3:Provides}
Description: Python3 interface to the Nmap port scanner
 It helps manipulating nmap scan results and can
 be useful to systems administrators to
 automate scanning task and reports.
 It also supports nmap script outputs.

=== debian/rules ===
#!/usr/bin/make -f
export DH_VERBOSE=1
export PYBUILD_DISABLE=test
export PYBUILD_NAME=nmap

%:
	dh $@ --buildsystem=pybuild

=== debian/watch ===
version=4
https://xael.org/pages/python-nmap-en.html python-nmap-(.*)\.tar\.gz
